From 45bf83dbe2a84f39f09a247445531d890655ea2b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Henke?= <juergen.henke@netmodule.com>
Date: Thu, 11 Nov 2021 09:05:57 +0100
Subject: [PATCH] fix: create a versioned shared library libwlan_client.so

Otherwise we will run circles around oe's "THOU SHALL NOT USED
UNVERSIONED LIBRARIES IN THY LORD'S ROOT-FS" feature.

BugzId: 75694
---
 wpa_supplicant/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/wpa_supplicant/Makefile b/wpa_supplicant/Makefile
index 5f5f049ae..1a41c1209 100644
--- a/wpa_supplicant/Makefile
+++ b/wpa_supplicant/Makefile
@@ -2003,7 +2003,7 @@ libwpa_client.a: $(LIBCTRL)
 
 libwpa_client.so: $(LIBCTRLSO)
 	@$(E) "  CC  $@ ($^)"
-	$(Q)$(CC) $(LDFLAGS) -o $@ $(CFLAGS) -shared -fPIC $^
+	$(Q)$(CC) $(LDFLAGS) -o $@ $(CFLAGS) -shared -Wl,-soname,libwpa_client.so.$(WPAPV) -fPIC $^
 
 OBJS_wpatest := libwpa_test.o
 _OBJS_VAR := OBJS_wpatest
